Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005250TestLinkUsers and Rightspublic2012-09-26 03:022013-05-26 18:53
Reportervirgo0 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSRHEL OS Version5.5
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005250: User rights "Test Case view" not work
DescriptionUser with rights "Test Case view (read only access)" can see and acess "Browse test Cases", but fail to access details of test case.
 - Get message "In order to access requested item you need one of following rights/grants:'Test Case view (read only access)','Test Case create/edit'"
Steps To Reproduce1. Modify one role with right "Test Case view (read only access)" under "Test Case management" (without "Test Case create/edit" and "Test Plan create/edit")
2. Set one user as modified role.
3. Login with this user and click "Browse test Cases" to access test case
4. Click test case to see details and get error message
Additional InformationVerify with 1.9.3, no this issue.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserIE 8 / Chrome 21.0
PHP Version5.3.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon User right.jpg [^] (81,359 bytes) 2012-09-26 03:04


jpg file icon Read only not work.jpg [^] (61,349 bytes) 2012-09-26 03:04

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017568)
fman (administrator)
2012-09-26 21:41
edited on: 2012-09-26 21:44

For a fast fix (till we will be able to send to repo):

archiveData.php
Old Code
$grant2check = array('mgt_view_tc','mgt_modify_tc');
foreach($grant2check as $grant)
{
  $grantlbl['desc_' . $grant] = null;
}
**** this piece will be removed ****
$check = $_SESSION['currentUser']->hasRight($db,$grant2check,$args->tcaseTestProject['id']);



With
$check = null;
$grant2check = array('mgt_view_tc','mgt_modify_tc');
foreach($grant2check as $grant)
{
  $grantlbl['desc_' . $grant] = null;

  $check = $_SESSION['currentUser']->hasRight($db,$grant,$args->tcaseTestProject['id']);
  if( !is_null($check) )
  {
    break;
  }

}

(0017569)
fman (administrator)
2012-09-26 21:45

Please test and let us know
(0017573)
virgo0 (reporter)
2012-09-27 03:20

With fast fix, user with rights "Test Case view (read only access)" can access details of test case. (read only)

Thanks
(0017579)
fman (administrator)
2012-09-27 18:50

TestLink 1.9
http://gitorious.org/testlink-ga/testlink-code/commit/39a76f7fa4d1c4e7f5200d6eb8f4e3e6f8760f17 [^]

- Issue History
Date Modified Username Field Change
2012-09-26 03:02 virgo0 New Issue
2012-09-26 03:04 virgo0 File Added: User right.jpg
2012-09-26 03:04 virgo0 File Added: Read only not work.jpg
2012-09-26 19:40 fman Assigned To => fman
2012-09-26 19:40 fman Status new => assigned
2012-09-26 21:41 fman Note Added: 0017568
2012-09-26 21:44 fman Note Edited: 0017568 View Revisions
2012-09-26 21:45 fman Note Added: 0017569
2012-09-26 21:45 fman Status assigned => feedback
2012-09-26 21:45 fman Relationship added child of 0005193
2012-09-27 03:20 virgo0 Note Added: 0017573
2012-09-27 03:20 virgo0 Status feedback => assigned
2012-09-27 18:45 fman Tag Attached: TO BE FIXED on 2.0
2012-09-27 18:50 fman Note Added: 0017579
2012-09-27 18:52 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-09-27 18:53 fman Task Workflow Status TBD => READY FOR TESTING
2012-09-27 18:53 fman Status assigned => resolved
2012-09-27 18:53 fman Resolution open => fixed
2013-05-26 18:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker